Bug 487007 - Review Request: python-stomper - A python client implementation of the STOMP protocol
Review Request: python-stomper - A python client implementation of the STOMP ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-23 11:59 EST by Silas Sewell
Modified: 2009-08-05 13:24 EDT (History)
5 users (show)

See Also:
Fixed In Version: 0.2.2-8.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-11 14:56:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Silas Sewell 2009-02-23 11:59:47 EST
Spec URL:
http://silassewell.googlecode.com/svn/trunk/projects/packages/rpms/python-stomp/python-stomp.spec
SRPM URL:
http://silassewell.googlecode.com/files/python-stomp-0.2.2-2.src.rpm
Description: This is a python client implementation of the STOMP protocol. The client is attempting to be transport layer neutral. This module provides functions to create and parse STOMP messages in a programatic fashion.

I'll need a sponsor.
Comment 1 Suravee Suthikulpanit 2009-03-02 00:28:17 EST
This is an unofficial review:

- md5sum verification: Match the upstream tarball 
825464302989bb1dddf0badf114b4b94  /usr/src/redhat/SOURCES/stomper-0.2.2.tar.gz

- RPMLINT output. Please clarify the warnings below
# rpmlint -iv /usr/src/redhat/RPMS/noarch/python-stomp-0.2.2-2.fc9.noarch.rpm 
python-stomp.noarch: I: checking
python-stomp.noarch: W: hidden-file-or-dir /usr/share/doc/python-stomp-0.2.2/tests/.___init__.py
The file or directory is hidden. You should see if this is normal,
and delete it from the package if not.

python-stomp.noarch: W: hidden-file-or-dir /usr/share/doc/python-stomp-0.2.2/examples/._stomper_usage.py
The file or directory is hidden. You should see if this is normal,
and delete it from the package if not.

python-stomp.noarch: W: hidden-file-or-dir /usr/share/doc/python-stomp-0.2.2/doc/.___init__.py
The file or directory is hidden. You should see if this is normal,
and delete it from the package if not.

python-stomp.noarch: W: hidden-file-or-dir /usr/share/doc/python-stomp-0.2.2/examples/.___init__.py
The file or directory is hidden. You should see if this is normal,
and delete it from the package if not.
Comment 2 Silas Sewell 2009-03-05 14:12:39 EST
Thanks Suravee Suthikulpanit, I appreciate your review.

md5 verification:

[silas@pluto ~]$ curl --silent http://stomper.googlecode.com/files/stomper-0.2.2.tar.gz | md5sum
825464302989bb1dddf0badf114b4b94  -

RPMLINT output:

I manually removed the hidden OS X files and submitted a ticket upstream.

New SRPM: http://silassewell.googlecode.com/files/python-stomp-0.2.2-3.src.rpm

diff: http://code.google.com/p/silassewell/source/diff?spec=svn173&r=173&format=side&path=/trunk/projects/packages/rpms/python-stomp/python-stomp.spec

Upstream report: http://code.google.com/p/stomper/issues/detail?id=8
Comment 3 Oisin Mulvihill 2009-03-11 19:47:22 EDT
Hi There,

I'm stomper's author. I didn't realise these file were there when I generated the tar gzip on my laptop. Its strange as they only seem to appear inside the tar gzip. I guess I should just generate the tgz on linux instead of the mac ;)
Comment 4 Oisin Mulvihill 2009-03-16 08:39:01 EDT
I've replaced the tar gzip with one I generated on linux and verified that it does
not contain the mac specific ._* files.

All the best,

Oisin
Comment 7 Silas Sewell 2009-03-29 16:05:22 EDT
* Fixed dependencies

SRPM: http://silassewell.googlecode.com/files/python-stomper-0.2.2-6.fc10.src.rpm

Diff: http://code.google.com/p/silassewell/source/diff?spec=svn216&r=216&format=side&path=/trunk/projects/packages/rpms/python-stomper/python-stomper.spec

rpmlint

$ rpmlint python-stomper-0.2.2-6.fc10.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings
$ rpmlint python-stomper-0.2.2-6.fc10.noarch.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 8 Mamoru TASAKA 2009-04-09 13:45:36 EDT
Notes:

* Requires
----------------------------------------------
Requires:       python(abi) >= 2.5
----------------------------------------------
  - is not needed. rpmbuild adds python abi related dependency
    automatically (on rawhide it is "python(abi) = 2.6"

Other things are okay.

----------------------------------------------------------
    This package (python-stomper) is APPROVED by mtasaka
----------------------------------------------------------
Comment 9 Silas Sewell 2009-04-10 02:07:03 EDT
Final build with last fix.

SRPM: http://silassewell.googlecode.com/files/python-stomper-0.2.2-7.fc10.src.rpm

Diff: http://code.google.com/p/silassewell/source/diff?spec=svn221&r=221&format=side&path=/trunk/projects/packages/rpms/python-stomper/python-stomper.spec

rpmlint

[silas@silas ~]$ rpmlint python-stomper-0.2.2-7.fc10.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
[silas@silas ~]$ rpmlint python-stomper-0.2.2-7.fc10.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 10 Silas Sewell 2009-04-10 02:08:31 EDT
New Package CVS Request
=======================
Package Name: python-stomper
Short Description: A Python client implementation of the STOMP protocol
Owners: silas
Branches: 
InitialCC:
Comment 11 Kevin Fenzi 2009-04-10 18:09:14 EDT
cvs done.
Comment 12 Silas Sewell 2009-04-11 14:56:53 EDT
Built for F-11, closing.

Thanks Mamoru and Kevin.
Comment 13 Fedora Update System 2009-07-03 22:05:13 EDT
python-stomper-0.2.2-8.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/python-stomper-0.2.2-8.el5
Comment 14 Fedora Update System 2009-07-03 23:21:49 EDT
python-stomper-0.2.2-8.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/python-stomper-0.2.2-8.el5
Comment 15 Fedora Update System 2009-08-05 13:24:25 EDT
python-stomper-0.2.2-8.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.